;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;; Created by GSS 0.2 ;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;; Palette
	.align 1
	.globl block_pal
block_pal:
	dc.w	0x000
	dc.w	0xBBB
	dc.w	0xAAA
	dc.w	0x999
	dc.w	0x888
	dc.w	0x777
	dc.w	0x666
	dc.w	0x555
	dc.w	0x444
	dc.w	0x333
	dc.w	0x111
	dc.w	0x111
	dc.w	0x110
	dc.w	0x000
	dc.w	0x010
	dc.w	0x000

;;;; Animation
	.align 1
	.globl block_anim
block_anim:
	dc.w	0x0020 ; Width
	dc.w	0x0020 ; Height
	dc.w	0x0008 ; nbFrames
	dc.l	block_frames
	dc.w	0x0000 ; compress Size or 0
	dc.b	0x04 ; each sprite width
	dc.b	0x04 ; each sprite height
	dc.w	0x0080 ; number of tiles
	dc.l	block_sprite

	.align 1
block_frames:
	dc.l	block_frame_000
	dc.l	block_frame_001
	dc.l	block_frame_002
	dc.l	block_frame_003
	dc.l	block_frame_004
	dc.l	block_frame_005
	dc.l	block_frame_006
	dc.l	block_frame_007

;; Frame n0
	.align 1
block_frame_000:
	dc.w	0x0001 ; num sprites
	dc.l	block_frame_000_spr
	dc.w	0x0001 ; num cboxes
	dc.l	block_frame_000_cbx
	dc.l	5 ; timer
	dc.w	0x0001 ; next
	dc.w	0x00000000 ; data

	.align 1
block_frame_000_spr:
	dc.w	0x0000, 0x0000, 0x0000

	.align 1
block_frame_000_cbx:
	dc.w	0x0006, 0x0007, 0x0015, 0x0015

;; Frame n1
	.align 1
block_frame_001:
	dc.w	0x0001 ; num sprites
	dc.l	block_frame_001_spr
	dc.w	0x0001 ; num cboxes
	dc.l	block_frame_001_cbx
	dc.l	5 ; timer
	dc.w	0x0002 ; next
	dc.w	0x00000000 ; data

	.align 1
block_frame_001_spr:
	dc.w	0x0001, 0x0000, 0x0000

	.align 1
block_frame_001_cbx:
	dc.w	0x0006, 0x0007, 0x0015, 0x0014

;; Frame n2
	.align 1
block_frame_002:
	dc.w	0x0001 ; num sprites
	dc.l	block_frame_002_spr
	dc.w	0x0001 ; num cboxes
	dc.l	block_frame_002_cbx
	dc.l	5 ; timer
	dc.w	0x0003 ; next
	dc.w	0x00000000 ; data

	.align 1
block_frame_002_spr:
	dc.w	0x0002, 0x0000, 0x0000

	.align 1
block_frame_002_cbx:
	dc.w	0x0007, 0x0006, 0x0014, 0x0016

;; Frame n3
	.align 1
block_frame_003:
	dc.w	0x0001 ; num sprites
	dc.l	block_frame_003_spr
	dc.w	0x0001 ; num cboxes
	dc.l	block_frame_003_cbx
	dc.l	5 ; timer
	dc.w	0x0004 ; next
	dc.w	0x00000000 ; data

	.align 1
block_frame_003_spr:
	dc.w	0x0003, 0x0000, 0x0000

	.align 1
block_frame_003_cbx:
	dc.w	0x0008, 0x0006, 0x0013, 0x0017

;; Frame n4
	.align 1
block_frame_004:
	dc.w	0x0001 ; num sprites
	dc.l	block_frame_004_spr
	dc.w	0x0001 ; num cboxes
	dc.l	block_frame_004_cbx
	dc.l	5 ; timer
	dc.w	0x0005 ; next
	dc.w	0x00000000 ; data

	.align 1
block_frame_004_spr:
	dc.w	0x0004, 0x0000, 0x0000

	.align 1
block_frame_004_cbx:
	dc.w	0x0007, 0x0008, 0x0015, 0x0014

;; Frame n5
	.align 1
block_frame_005:
	dc.w	0x0001 ; num sprites
	dc.l	block_frame_005_spr
	dc.w	0x0001 ; num cboxes
	dc.l	block_frame_005_cbx
	dc.l	5 ; timer
	dc.w	0x0006 ; next
	dc.w	0x00000000 ; data

	.align 1
block_frame_005_spr:
	dc.w	0x0005, 0x0000, 0x0000

	.align 1
block_frame_005_cbx:
	dc.w	0x0006, 0x0006, 0x0017, 0x0016

;; Frame n6
	.align 1
block_frame_006:
	dc.w	0x0001 ; num sprites
	dc.l	block_frame_006_spr
	dc.w	0x0001 ; num cboxes
	dc.l	block_frame_006_cbx
	dc.l	5 ; timer
	dc.w	0x0007 ; next
	dc.w	0x00000000 ; data

	.align 1
block_frame_006_spr:
	dc.w	0x0006, 0x0000, 0x0000

	.align 1
block_frame_006_cbx:
	dc.w	0x0007, 0x0004, 0x0015, 0x0018

;; Frame n7
	.align 1
block_frame_007:
	dc.w	0x0001 ; num sprites
	dc.l	block_frame_007_spr
	dc.w	0x0001 ; num cboxes
	dc.l	block_frame_007_cbx
	dc.l	5 ; timer
	dc.w	0x0000 ; next
	dc.w	0x00000000 ; data

	.align 1
block_frame_007_spr:
	dc.w	0x0007, 0x0000, 0x0000

	.align 1
block_frame_007_cbx:
	dc.w	0x0008, 0x0006, 0x0015, 0x0016


;;;; Sprites
	.align 1
block_sprite:
	INCBIN "block.bin"
