;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;; Created by GSS 0.2 ;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;; Animation
	.align 1
	.globl explo_anim
explo_anim:
	dc.w	0x0020 ; Width
	dc.w	0x0020 ; Height
	dc.w	0x0007 ; nbFrames
	dc.l	explo_frames
	dc.w	0x0000 ; compress Size or 0
	dc.b	0x04 ; each sprite width
	dc.b	0x04 ; each sprite height
	dc.w	0x0060 ; number of tiles
	dc.l	explo_sprite

	.align 1
explo_frames:
	dc.l	explo_frame_000
	dc.l	explo_frame_001
	dc.l	explo_frame_002
	dc.l	explo_frame_003
	dc.l	explo_frame_004
	dc.l	explo_frame_005
	dc.l	explo_frame_006

;; Frame n0
	.align 1
explo_frame_000:
	dc.w	0x0001 ; num sprites
	dc.l	explo_frame_000_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	5 ; timer
	dc.w	0x0001 ; next
	dc.w	0x00000000 ; data

	.align 1
explo_frame_000_spr:
	dc.w	0x0000, 0x0000, 0x0000

;; Frame n1
	.align 1
explo_frame_001:
	dc.w	0x0001 ; num sprites
	dc.l	explo_frame_001_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	5 ; timer
	dc.w	0x0002 ; next
	dc.w	0x00000000 ; data

	.align 1
explo_frame_001_spr:
	dc.w	0x0001, 0x0000, 0x0000

;; Frame n2
	.align 1
explo_frame_002:
	dc.w	0x0001 ; num sprites
	dc.l	explo_frame_002_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	5 ; timer
	dc.w	0x0003 ; next
	dc.w	0x00000000 ; data

	.align 1
explo_frame_002_spr:
	dc.w	0x0002, 0x0000, 0x0000

;; Frame n3
	.align 1
explo_frame_003:
	dc.w	0x0001 ; num sprites
	dc.l	explo_frame_003_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	5 ; timer
	dc.w	0x0004 ; next
	dc.w	0x00000000 ; data

	.align 1
explo_frame_003_spr:
	dc.w	0x0003, 0x0000, 0x0000

;; Frame n4
	.align 1
explo_frame_004:
	dc.w	0x0001 ; num sprites
	dc.l	explo_frame_004_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	5 ; timer
	dc.w	0x0005 ; next
	dc.w	0x00000000 ; data

	.align 1
explo_frame_004_spr:
	dc.w	0x0004, 0x0000, 0x0000

;; Frame n5
	.align 1
explo_frame_005:
	dc.w	0x0001 ; num sprites
	dc.l	explo_frame_005_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	5 ; timer
	dc.w	0x0006 ; next
	dc.w	0x00000000 ; data

	.align 1
explo_frame_005_spr:
	dc.w	0x0005, 0x0000, 0x0000

;; Frame n6
	.align 1
explo_frame_006:
	dc.w	0x0000 ; num sprites
	dc.l	0 ; no sprite
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0006 ; next
	dc.w	0x00000000 ; data


;;;; Sprites
	.align 1
explo_sprite:
	INCBIN "explo.bin"
