;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;; Created by GSS 0.2 ;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;; Palette
	.align 1
	.globl font_pal
font_pal:
	dc.w	0x000
	dc.w	0x008
	dc.w	0x080
	dc.w	0x088
	dc.w	0x800
	dc.w	0x808
	dc.w	0x880
	dc.w	0x888
	dc.w	0xCCC
	dc.w	0x00F
	dc.w	0x0F0
	dc.w	0x0FF
	dc.w	0xF00
	dc.w	0xF0F
	dc.w	0xFF0
	dc.w	0xFFF

;;;; Animation
	.align 1
	.globl font_anim
font_anim:
	dc.w	0x0008 ; Width
	dc.w	0x0010 ; Height
	dc.w	0x000C ; nbFrames
	dc.l	font_frames
	dc.w	0x0000 ; compress Size or 0
	dc.b	0x01 ; each sprite width
	dc.b	0x02 ; each sprite height
	dc.w	0x0036 ; number of tiles
	dc.l	font_sprite

	.align 1
font_frames:
	dc.l	font_frame_000
	dc.l	font_frame_001
	dc.l	font_frame_002
	dc.l	font_frame_003
	dc.l	font_frame_004
	dc.l	font_frame_005
	dc.l	font_frame_006
	dc.l	font_frame_007
	dc.l	font_frame_008
	dc.l	font_frame_009
	dc.l	font_frame_010
	dc.l	font_frame_011

;; Frame n0
	.align 1
font_frame_000:
	dc.w	0x0001 ; num sprites
	dc.l	font_frame_000_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0000 ; next
	dc.w	0x00000000 ; data

	.align 1
font_frame_000_spr:
	dc.w	0x0016, 0x0000, 0x0000

;; Frame n1
	.align 1
font_frame_001:
	dc.w	0x0001 ; num sprites
	dc.l	font_frame_001_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0001 ; next
	dc.w	0x00000000 ; data

	.align 1
font_frame_001_spr:
	dc.w	0x001A, 0x0000, 0x0000

;; Frame n2
	.align 1
font_frame_002:
	dc.w	0x0001 ; num sprites
	dc.l	font_frame_002_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0002 ; next
	dc.w	0x00000000 ; data

	.align 1
font_frame_002_spr:
	dc.w	0x0002, 0x0000, 0x0000

;; Frame n3
	.align 1
font_frame_003:
	dc.w	0x0001 ; num sprites
	dc.l	font_frame_003_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0003 ; next
	dc.w	0x00000000 ; data

	.align 1
font_frame_003_spr:
	dc.w	0x000E, 0x0000, 0x0000

;; Frame n4
	.align 1
font_frame_004:
	dc.w	0x0001 ; num sprites
	dc.l	font_frame_004_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0004 ; next
	dc.w	0x00000000 ; data

	.align 1
font_frame_004_spr:
	dc.w	0x000D, 0x0000, 0x0000

;; Frame n5
	.align 1
font_frame_005:
	dc.w	0x0001 ; num sprites
	dc.l	font_frame_005_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0005 ; next
	dc.w	0x00000000 ; data

	.align 1
font_frame_005_spr:
	dc.w	0x0012, 0x0000, 0x0000

;; Frame n6
	.align 1
font_frame_006:
	dc.w	0x0001 ; num sprites
	dc.l	font_frame_006_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0006 ; next
	dc.w	0x00000000 ; data

	.align 1
font_frame_006_spr:
	dc.w	0x000B, 0x0000, 0x0000

;; Frame n7
	.align 1
font_frame_007:
	dc.w	0x0001 ; num sprites
	dc.l	font_frame_007_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0007 ; next
	dc.w	0x00000000 ; data

	.align 1
font_frame_007_spr:
	dc.w	0x0004, 0x0000, 0x0000

;; Frame n8
	.align 1
font_frame_008:
	dc.w	0x0001 ; num sprites
	dc.l	font_frame_008_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0008 ; next
	dc.w	0x00000000 ; data

	.align 1
font_frame_008_spr:
	dc.w	0x0005, 0x0000, 0x0000

;; Frame n9
	.align 1
font_frame_009:
	dc.w	0x0001 ; num sprites
	dc.l	font_frame_009_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0009 ; next
	dc.w	0x00000000 ; data

	.align 1
font_frame_009_spr:
	dc.w	0x0015, 0x0000, 0x0000

;; Frame n10
	.align 1
font_frame_010:
	dc.w	0x0001 ; num sprites
	dc.l	font_frame_010_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x000A ; next
	dc.w	0x00000000 ; data

	.align 1
font_frame_010_spr:
	dc.w	0x0011, 0x0000, 0x0000

;; Frame n11
	.align 1
font_frame_011:
	dc.w	0x0001 ; num sprites
	dc.l	font_frame_011_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x000B ; next
	dc.w	0x00000000 ; data

	.align 1
font_frame_011_spr:
	dc.w	0x000C, 0x0000, 0x0000


;;;; Sprites
	.align 1
font_sprite:
	INCBIN "font.bin"
