;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;; Created by GSS 0.2 ;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;; Palette
	.align 1
	.globl hero_pal
hero_pal:
	dc.w	0x000
	dc.w	0x080
	dc.w	0x880
	dc.w	0x235
	dc.w	0xFF0
	dc.w	0x008
	dc.w	0x3D2
	dc.w	0x555
	dc.w	0xCCC
	dc.w	0x59F
	dc.w	0xFFF
	dc.w	0x03E
	dc.w	0x01A
	dc.w	0x0E5
	dc.w	0x011
	dc.w	0x000

;;;; Animation
	.align 1
	.globl hero_anim
hero_anim:
	dc.w	0x0020 ; Width
	dc.w	0x0020 ; Height
	dc.w	0x0003 ; nbFrames
	dc.l	hero_frames
	dc.w	0x0000 ; compress Size or 0
	dc.b	0x04 ; each sprite width
	dc.b	0x04 ; each sprite height
	dc.w	0x0030 ; number of tiles
	dc.l	hero_sprite

	.align 1
hero_frames:
	dc.l	hero_frame_000
	dc.l	hero_frame_001
	dc.l	hero_frame_002

;; Frame n0
	.align 1
hero_frame_000:
	dc.w	0x0001 ; num sprites
	dc.l	hero_frame_000_spr
	dc.w	0x0001 ; num cboxes
	dc.l	hero_frame_000_cbx
	dc.l	0 ; timer
	dc.w	0x0001 ; next
	dc.w	0x00000000 ; data

	.align 1
hero_frame_000_spr:
	dc.w	0x0000, 0x0000, 0x0000

	.align 1
hero_frame_000_cbx:
	dc.w	0x0008, 0x0002, 0x0010, 0x001A

;; Frame n1
	.align 1
hero_frame_001:
	dc.w	0x0001 ; num sprites
	dc.l	hero_frame_001_spr
	dc.w	0x0001 ; num cboxes
	dc.l	hero_frame_001_cbx
	dc.l	0 ; timer
	dc.w	0x0002 ; next
	dc.w	0x00000000 ; data

	.align 1
hero_frame_001_spr:
	dc.w	0x0001, 0x0000, 0x0000

	.align 1
hero_frame_001_cbx:
	dc.w	0x0008, 0x0002, 0x0010, 0x001A

;; Frame n2
	.align 1
hero_frame_002:
	dc.w	0x0001 ; num sprites
	dc.l	hero_frame_002_spr
	dc.w	0x0001 ; num cboxes
	dc.l	hero_frame_002_cbx
	dc.l	0 ; timer
	dc.w	0x0000 ; next
	dc.w	0x00000000 ; data

	.align 1
hero_frame_002_spr:
	dc.w	0x0002, 0x0000, 0x0000

	.align 1
hero_frame_002_cbx:
	dc.w	0x0008, 0x0002, 0x0010, 0x001A


;;;; Sprites
	.align 1
hero_sprite:
	INCBIN "hero.bin"
