#ifndef __INC_LEVEL__
#define __INC_LEVEL__

struct str_Level{
	uchar		idx;
	ushort	width;
	ushort	height;
	uchar 	pal;
	ushort	tile_idx;
	ushort	*fieldA;
	ushort 	*fieldB;
	uchar		*script;
};

extern struct str_Level	curLevel;

extern struct str_Anim explo_anim;
extern ushort	explo_idx;

extern struct str_Anim npc_anim;
extern ushort	npc_idx;

extern struct str_Anim shot_1_anim;
extern struct str_Anim shot_2_anim;
extern struct str_Anim shot_3_anim;
extern ushort	shot1_idx;
extern ushort	shot2_idx;
extern ushort	shot3_idx;

extern struct str_Anim block_anim;
extern ushort	block_idx;


extern uchar 	heroSprite;
extern ushort	heroScore;

void Level_Init( uchar levelNum , ushort firstTile );
void Level_Update(  );
void Level_Loop( );

#endif