;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;; Created by GSS 0.2 ;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;; Palette
	.align 1
	.globl npc_pal
npc_pal:
	dc.w	0x000
	dc.w	0x880
	dc.w	0xFF0
	dc.w	0x235
	dc.w	0x555
	dc.w	0x036
	dc.w	0x008
	dc.w	0x05A
	dc.w	0xCCC
	dc.w	0x06D
	dc.w	0x03E
	dc.w	0x59F
	dc.w	0x2BF
	dc.w	0xFFF
	dc.w	0x000
	dc.w	0x000

;;;; Animation
	.align 1
	.globl npc_anim
npc_anim:
	dc.w	0x0020 ; Width
	dc.w	0x0020 ; Height
	dc.w	0x0003 ; nbFrames
	dc.l	npc_frames
	dc.w	0x0000 ; compress Size or 0
	dc.b	0x04 ; each sprite width
	dc.b	0x04 ; each sprite height
	dc.w	0x0030 ; number of tiles
	dc.l	npc_sprite

	.align 1
npc_frames:
	dc.l	npc_frame_000
	dc.l	npc_frame_001
	dc.l	npc_frame_002

;; Frame n0
	.align 1
npc_frame_000:
	dc.w	0x0001 ; num sprites
	dc.l	npc_frame_000_spr
	dc.w	0x0001 ; num cboxes
	dc.l	npc_frame_000_cbx
	dc.l	0 ; timer
	dc.w	0x0001 ; next
	dc.w	0x00000000 ; data

	.align 1
npc_frame_000_spr:
	dc.w	0x0000, 0x0000, 0x0000

	.align 1
npc_frame_000_cbx:
	dc.w	0x0006, 0x0004, 0x0014, 0x0017

;; Frame n1
	.align 1
npc_frame_001:
	dc.w	0x0001 ; num sprites
	dc.l	npc_frame_001_spr
	dc.w	0x0001 ; num cboxes
	dc.l	npc_frame_001_cbx
	dc.l	0 ; timer
	dc.w	0x0002 ; next
	dc.w	0x00000000 ; data

	.align 1
npc_frame_001_spr:
	dc.w	0x0001, 0x0000, 0x0000

	.align 1
npc_frame_001_cbx:
	dc.w	0x0006, 0x0004, 0x0014, 0x0017

;; Frame n2
	.align 1
npc_frame_002:
	dc.w	0x0001 ; num sprites
	dc.l	npc_frame_002_spr
	dc.w	0x0001 ; num cboxes
	dc.l	npc_frame_002_cbx
	dc.l	0 ; timer
	dc.w	0x0000 ; next
	dc.w	0x00000000 ; data

	.align 1
npc_frame_002_spr:
	dc.w	0x0002, 0x0000, 0x0000

	.align 1
npc_frame_002_cbx:
	dc.w	0x0006, 0x0004, 0x0014, 0x0017


;;;; Sprites
	.align 1
npc_sprite:
	INCBIN "npc.bin"
