;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;; Created by GSS 0.2 ;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;; Palette
	.align 1
	.globl shot_pal
shot_pal:
	dc.w	0x631
	dc.w	0x444
	dc.w	0x555
	dc.w	0x036
	dc.w	0x248
	dc.w	0x159
	dc.w	0x15B
	dc.w	0x06F
	dc.w	0x08F
	dc.w	0x0AF
	dc.w	0x0CF
	dc.w	0x0FF
	dc.w	0xFFF
	dc.w	0x000
	dc.w	0x000
	dc.w	0x000

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;; Animation
	.align 1
	.globl shot_1_anim
shot_1_anim:
	dc.w	0x0010 ; Width
	dc.w	0x0018 ; Height
	dc.w	0x0001 ; nbFrames
	dc.l	shot_1_frames
	dc.w	0x0000 ; compress Size or 0
	dc.b	0x02 ; each sprite width
	dc.b	0x03 ; each sprite height
	dc.w	0x0006 ; number of tiles
	dc.l	shot_1_sprite

	.align 1
shot_1_frames:
	dc.l	shot_1_frame_000

;; Frame n0
	.align 1
shot_1_frame_000:
	dc.w	0x0001 ; num sprites
	dc.l	shot_1_frame_000_spr
	dc.w	0x0001 ; num cboxes
	dc.l	shot_1_frame_000_cbx
	dc.l	0 ; timer
	dc.w	0x0000 ; next
	dc.w	0x00000000 ; data

	.align 1
shot_1_frame_000_spr:
	dc.w	0x0000, 0x0000, 0x0000

	.align 1
shot_1_frame_000_cbx:
	dc.w	0x0004, 0x0001, 0x0007, 0x000F


;;;; Sprites
	.align 1
shot_1_sprite:
	INCBIN "shot_1.bin"

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;; Animation
	.align 1
	.globl shot_2_anim
shot_2_anim:
	dc.w	0x0010 ; Width
	dc.w	0x0010 ; Height
	dc.w	0x0001 ; nbFrames
	dc.l	shot_2_frames
	dc.w	0x0000 ; compress Size or 0
	dc.b	0x02 ; each sprite width
	dc.b	0x02 ; each sprite height
	dc.w	0x0004 ; number of tiles
	dc.l	shot_2_sprite

	.align 1
shot_2_frames:
	dc.l	shot_2_frame_000

;; Frame n0
	.align 1
shot_2_frame_000:
	dc.w	0x0001 ; num sprites
	dc.l	shot_2_frame_000_spr
	dc.w	0x0001 ; num cboxes
	dc.l	shot_2_frame_000_cbx
	dc.l	0 ; timer
	dc.w	0x0000 ; next
	dc.w	0x00000000 ; data

	.align 1
shot_2_frame_000_spr:
	dc.w	0x0000, 0x0000, 0x0000

	.align 1
shot_2_frame_000_cbx:
	dc.w	0x0001, 0x0001, 0x000F, 0x000C


;;;; Sprites
	.align 1
shot_2_sprite:
	INCBIN "shot_2.bin"

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;; Animation
	.align 1
	.globl shot_3_anim
shot_3_anim:
	dc.w	0x0008 ; Width
	dc.w	0x0008 ; Height
	dc.w	0x0001 ; nbFrames
	dc.l	shot_3_frames
	dc.w	0x0000 ; compress Size or 0
	dc.b	0x01 ; each sprite width
	dc.b	0x01 ; each sprite height
	dc.w	0x0001 ; number of tiles
	dc.l	shot_3_sprite

	.align 1
shot_3_frames:
	dc.l	shot_3_frame_000

;; Frame n0
	.align 1
shot_3_frame_000:
	dc.w	0x0001 ; num sprites
	dc.l	shot_3_frame_000_spr
	dc.w	0x0001 ; num cboxes
	dc.l	shot_3_frame_000_cbx
	dc.l	0 ; timer
	dc.w	0x0000 ; next
	dc.w	0x00000000 ; data

	.align 1
shot_3_frame_000_spr:
	dc.w	0x0000, 0x0000, 0x0000

	.align 1
shot_3_frame_000_cbx:
	dc.w	0x0002, 0x0002, 0x0004, 0x0004


;;;; Sprites
	.align 1
shot_3_sprite:
	INCBIN "shot_3.bin"
